#![allow(unused)]

use std::fmt::Display;

mod exec;
mod inference;
mod parse;
mod types;
mod vec_map;

pub use exec::{Builtin, DeBrujinAst, builtin};
pub use inference::infer_type;
use lalrpop_util::lalrpop_mod;
pub use parse::{Ast, parse_ast_str, parse_type_str};
